Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-14975

Misalignments with Component alignment document

    XMLWordPrintable

Details

    • build8

    Description

      Found errors:

      [ERROR] "Jetty" in "sb2" has correct version(Components have correct versions across runtimes)  Time elapsed: 0.041 s  <<< ERROR!
      java.lang.Exception: 
      org.eclipse.jetty.orbit:javax.servlet.jsp is wrong within sb2-bom
        expected version:9.4.30.v20200611
          actual version:2.2.0.v201112011158
                     
      [ERROR] "Jetty" in "sb2" has correct version(Components have correct versions across runtimes)  Time elapsed: 0.041 s  <<< ERROR!
      java.lang.Exception: 
      org.eclipse.jetty:jetty-reactive-httpclient is wrong within sb2-bom
        expected version:9.4.30.v20200611
          actual version:1.1.4
                     
      [ERROR] "Spring Security" in "sb2" has correct version(Components have correct versions across runtimes)  Time elapsed: 0.043 s  <<< ERROR!
      java.lang.Exception: 
      org.springframework.security:spring-security-rsocket is wrong within sb2-bom
        expected version:5.3.3.*
          actual version:5.3.4.RELEASE
      

      Legend:

      sb2-bom: http://nexus.fuse-qe.eng.rdu2.redhat.com/repository/fuse-all/org/jboss/redhat-fuse/fuse-springboot-bom/7.8.0.fuse-sb2-780027-redhat-00005/fuse-springboot-bom-7.8.0.fuse-sb2-780027-redhat-00005.pom 
      karaf-bom: http://nexus.fuse-qe.eng.rdu2.redhat.com/repository/fuse-all/org/jboss/redhat-fuse/fuse-karaf-bom/7.8.0.fuse-sb2-780027-redhat-00005/fuse-karaf-bom-7.8.0.fuse-sb2-780027-redhat-00005.pom
      eap-bom: http://nexus.fuse-qe.eng.rdu2.redhat.com/repository/fuse-all/org/jboss/redhat-fuse/fuse-eap-bom/7.8.0.fuse-sb2-780027-redhat-00005/fuse-eap-bom-7.8.0.fuse-sb2-780027-redhat-00005.pom
      karaf-runtime: http://nexus.fuse-qe.eng.rdu2.redhat.com/repository/fuse-all/org/jboss/fuse/fuse-karaf/7.8.0.fuse-780030-redhat-00001/fuse-karaf-7.8.0.fuse-780030-redhat-00001.zip
      eap-runtime: http://download-node-02.eng.bos.redhat.com/released/JBoss-middleware/eap7/7.3.2/jboss-eap-7.3.2.zip + http://nexus.fuse-qe.eng.rdu2.redhat.com/repository/fuse-all/com/redhat/fuse/eap/fuse-eap-installer/7.8.0.fuse-780019-redhat-00002/fuse-eap-installer-7.8.0.fuse-780019-redhat-00002.jar
      

      Attachments

        Activity

          People

            yfang@redhat.com Freeman(Yue) Fang
            bsmolice@redhat.com Branislav Smolicek
            Branislav Smolicek Branislav Smolicek
            Lukas Lowinger
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: